%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-compression
Version:    1.6.0
Release:    1%{?dist}
Summary:    Compression middleware for Node.js and Connect
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/expressjs/compression
Source0:    http://registry.npmjs.org/compression/-/compression-%{version}.tgz
# The test file is missing from the NPM tarball.
Source1:    https://raw.github.com/expressjs/compression/ff7df439670a89129ce4d738ca5d0c72ce663b2a/test.js

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(bytes)
BuildRequires:  npm(compressible)
BuildRequires:  npm(connect)
BuildRequires:  npm(mocha)
BuildRequires:  npm(negotiator)
BuildRequires:  npm(should)
BuildRequires:  npm(supertest)
%endif

%description
%{summary}.


%prep
%setup -q -n package
cp -p %{SOURCE1} .

%nodejs_fixdep bytes '~0.3'
%nodejs_fixdep compressible '~1.0.0'
%nodejs_fixdep negotiator '~0.4.2'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/compression
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/compression

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha --require should --reporter spec
%endif


%files
%doc HISTORY.md README.md
%{nodejs_sitelib}/compression


%changelog
* Thu Oct 08 2015 Jared Smith <jsmith@fedoraproject.org> - 1.6.0-1
- Update to upstream 1.6.0 release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Apr 20 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.1-2
- fix version of npm(bytes) dependency

* Wed Mar 12 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.1-1
- update to upstream release 1.0.1

* Sat Mar 08 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.0-1
- initial package
